> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Task Feedback



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/tasks/{occurrence_qid}/feedback
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/tasks/{occurrence_qid}/feedback:
    post:
      tags:
        - tasks
        - quanta-services-api
      summary: Create Task Feedback
      operationId: createTaskFeedback
      parameters:
        - name: occurrence_qid
          in: path
          required: true
          schema:
            type: string
            title: Occurrence Qid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskFeedbackRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskFeedbackResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TaskFeedbackRequest:
      properties:
        client_request_id:
          type: string
          maxLength: 200
          minLength: 1
          title: Client Request Id
        feedback:
          type: string
          maxLength: 5000
          minLength: 1
          title: Feedback
        reason:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Reason
      additionalProperties: false
      type: object
      required:
        - client_request_id
        - feedback
      title: TaskFeedbackRequest
    TaskFeedbackResponse:
      properties:
        qid:
          type: string
          title: Qid
        occurrence_qid:
          type: string
          title: Occurrence Qid
        feedback:
          type: string
          title: Feedback
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - qid
        - occurrence_qid
        - feedback
        - created_at
      title: TaskFeedbackResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.